Articles of osx snow leopard

¿Cómo actualizar Numpy en Mac OS X Snow Leopard?

¿Cómo puedo actualizar Numpy en el más nuevo? Debo descargar el archivo .dmg desde aquí: http://sourceforge.net/projects/numpy/files/ ¿Es este .dmg sólo para 10.5? He instalado numpy siguiendo estas instrucciones: http://www.scipy.org/Installing_SciPy/Mac_OS_X Mi actual Numpy es 1.2.1. Estoy corriendo en Mac OS X 10.6.1 Snow Leopard. ¡Gracias!

Django manage.py syncdb throwing No hay módulo llamado MySQLdb

Soy un novato aprendiendo Python / Django … Estoy usando el siguiente tutorial que se encuentra aquí . Creé una base de datos de mysite en MySQL 5 que se ejecuta en Snow Leopard. Edité el archivo settings.py para tener este aspecto: DATABASE_ENGINE = ‘mysql’ DATABASE_NAME = ‘mysite’ DATABASE_USER = ‘root’ DATABASE_PASSWORD = ” DATABASE_HOST […]

PyObjc y Cocoa en Snow Leopard

Estoy a punto de comenzar mi proyecto de A-Level Computing (High School Level), que con suerte será una aplicación de punto de venta para Mac OS. Desafortunadamente, Objective-C está un poco fuera de mi scope en este momento y si me quedo con él en el proyecto, no tengo a nadie para ayudar, así que […]

Cómo limpiar mi instalación de Python para un nuevo comienzo

Estoy desarrollando Snow Leopard y repasando los diversos “consejos prácticos” para instalar y trabajar el paquete MySQLdb (batalla cuesta arriba). Las cosas son un desastre y me gustaría recuperar la confianza con una instalación nueva y limpia de Python 2.6. ¿Qué carpetas debo limpiar? ¿Qué debo correr? ¿Qué enlaces simbólicos debo destruir o crear?

Problema al importar matplotlib.mlab y .pyplot en python 2.7 en Mac OSX 10.6

Estoy tratando de trazar un histogtwig usando matplotlib en Python 2.7 en OSX 10.6 He verificado que puedo importar numpy, scipy y matplotlib en python. Un script de ejemplo en el sitio web de matplotlib hace #!/usr/bin/env python import numpy as np import matplotlib.mlab as mlab import matplotlib.pyplot as plt Sin embargo, me sale un […]

Problemas al instalar NumPy y Matplotlib en Mac (leopardo de las nieves)

Habiendo instalado Python 2.7 desde el sitio web de python, desde entonces he intentado instalar NumPy y Matplotlib, pero cuando lo hago, aparece un cuadro que me dice que requiere el sistema python 2.6. ¿Necesito estar ejecutando una versión anterior?

Problemas con Snow Leopard, Django y PIL

Estoy teniendo algunos problemas para que Django y PIL funcionen correctamente desde la actualización a Snow Leopard He instalado freetype, libjpeg y luego PIL, que me dice: — TKINTER support ok — JPEG support ok — ZLIB (PNG/ZIP) support ok — FREETYPE2 support ok pero cuando bash cargar un jpeg a través de la interfaz […]

Falta el archivo de cabecera Python.h en Mac OS X 10.6

Estoy intentando acceder a una biblioteca de C compartida en Python con ctypes en Mac OS X 10.6.8 con Python 2.7.4. Para hacer esto, necesito #include en mi código C. Si trato de comstackr un script en C que solo tiene esa statement de inclusión, llámelo “sample.c”, obtengo: $ gcc -shared -o sample.so sample.c sample.c:1:20: […]

“Ningún módulo llamado _scproxy” en OSX

Estoy en OSX 10.6 con Python 2.6 preinstalado y me gustaría instalar los paquetes de Python a través de easy_install o setup.py (en un paquete descargado). En mi caso estoy tratando de instalar MySQLdb. En ambos casos obtengo una traza de stack que termina así: … File “/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/setuptools/command/easy_install.py”, line 21, in from setuptools.package_index import PackageIndex, […]

Instalar mysqldb en leopardo de las nieves

Estoy tratando de empezar a trabajar con Python en Django. Soy de profesión, un desarrollador de PHP y me han dicho que configure django y python en mi configuración actual de apache y mysql. Debo haber seguido unas 6 instrucciones diferentes, estoy ejecutando Snow Leopard y tengo mysql instalado de forma nativa, no es parte […]